<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrInstallmentPaymentMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrInstallmentPayment">
            <id property="paid" column="PAID" jdbcType="VARCHAR"/>
            <result property="invid" column="INVID" jdbcType="VARCHAR"/>
            <result property="acconam" column="ACCONAM" jdbcType="DECIMAL"/>
            <result property="conform" column="CONFORM" jdbcType="VARCHAR"/>
            <result property="conformCn" column="CONFORM_CN" jdbcType="VARCHAR"/>
            <result property="condate" column="CONDATE" jdbcType="DATE"/>
            <result property="curactconamusd" column="CURACTCONAMUSD" jdbcType="DECIMAL"/>
            <result property="currency" column="CURRENCY" jdbcType="VARCHAR"/>
            <result property="consource" column="CONSOURCE" jdbcType="VARCHAR"/>
            <result property="posduerea" column="POSDUEREA" jdbcType="VARCHAR"/>
            <result property="vercaporg" column="VERCAPORG" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="etpsId" column="ETPS_ID" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        PAID,INVID,ACCONAM,
        CONFORM,CONFORM_CN,CONDATE,
        CURACTCONAMUSD,CURRENCY,CONSOURCE,
        POSDUEREA,VERCAPORG,S_EXT_DATATIME,
        ETPS_ID
    </sql>
</mapper>
